Debcheck

 

Back to QA

Debcheck - experimental
 Summary
 All packages (light)

main only
 Broken PreDepends
 Broken Depends
 Broken Recommends
 Broken Suggests

 HalfBroken PreDepends
 HalfBroken Depends
 HalfBroken Recommends
 HalfBroken Suggests

 Build-Depends
 HalfBroken Build-Depends
 Malformed Build-Depends

 OldLibs
 Priority

 Old Standards-Version
 No Standards-Version
 Wrong Standards-Version Syntax

other
 Depends Main on !Main

all sections
 Broken PreDepends
 Broken Depends
 Broken Recommends
 Broken Suggests

 HalfBroken PreDepends
 HalfBroken Depends
 HalfBroken Recommends
 HalfBroken Suggests

 Build-Depends
 HalfBroken Build-Depends
 Malformed Build-Depends

 OldLibs
 Priority

 Old Standards-Version
 No Standards-Version
 Wrong Standards-Version Syntax

 
   
Distribution: experimental

Problems for source package cppcheck

Current Source Version: 2.4-1
Current Maintainer: Joachim Reichel <reichel@debian.org>
Section: main
BTS entry: https://bugs.debian.org/src:cppcheck

BuildDepends

Package declares a build time dependency on dh-python which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on dh-python which cannot be satisfied on ppc64el.
Package declares a build time dependency on dh-python which cannot be satisfied on mips64el.
Package declares a build time dependency on dh-python which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on dh-python which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on dh-python which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on dh-python which cannot be satisfied on s390x.
Package declares a build time dependency on dh-python which cannot be satisfied on arm64.
Package declares a build time dependency on dh-python which cannot be satisfied on amd64.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on mips64el.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on ppc64el.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on s390x.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on amd64.
Package declares a build time dependency on qtbase5-dev-tools which cannot be satisfied on arm64.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on arm64.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on amd64.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on ppc64el.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on mips64el.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on docbook-xsl which cannot be satisfied on s390x.
Package declares a build time dependency on xsltproc which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on xsltproc which cannot be satisfied on ppc64el.
Package declares a build time dependency on xsltproc which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on xsltproc which cannot be satisfied on mips64el.
Package declares a build time dependency on xsltproc which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on xsltproc which cannot be satisfied on s390x.
Package declares a build time dependency on xsltproc which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on xsltproc which cannot be satisfied on arm64.
Package declares a build time dependency on xsltproc which cannot be satisfied on amd64.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on amd64.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on arm64.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on s390x.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on mips64el.
Package declares a build time dependency on qttools5-dev which cannot be satisfied on ppc64el.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on amd64.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on arm64.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on s390x.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on mips64el.
Package declares a build time dependency on dh-sequence-python3 which cannot be satisfied on ppc64el.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on s390x.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on ppc64el.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on mips64el.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on arm64.
Package declares a build time dependency on qtbase5-dev which cannot be satisfied on amd64.
Package declares a build time dependency on libz3-dev which cannot be satisfied on amd64.
Package declares a build time dependency on libz3-dev which cannot be satisfied on arm64.
Package declares a build time dependency on libz3-dev which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on libz3-dev which cannot be satisfied on mips64el.
Package declares a build time dependency on libz3-dev which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on libz3-dev which cannot be satisfied on ppc64el.
Package declares a build time dependency on libz3-dev which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on libz3-dev which cannot be satisfied on s390x.
Package declares a build time dependency on libz3-dev which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on mips64el.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on ppc64el.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on s390x.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on amd64.
Package declares a build time dependency on qt5-qmake which cannot be satisfied on arm64.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on arm64.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on amd64.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on ppc64el.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on mips64el.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on libqt5charts5-dev which cannot be satisfied on s390x.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on ppc64el.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on mips64el.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on s390x.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on arm64.
Package declares a build time dependency on dpkg-dev (>= 1.15.7~) which cannot be satisfied on amd64.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on mips64el.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on ppc64el.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on s390x.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on amd64.
Package declares a build time dependency on debhelper-compat (= 13) which cannot be satisfied on arm64.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on ppc64el.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on mips64el.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on s390x.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on arm64.
Package declares a build time dependency on libpcre3-dev which cannot be satisfied on amd64.
Package declares a build time dependency on cmake which cannot be satisfied on arm64.
Package declares a build time dependency on cmake which cannot be satisfied on amd64.
Package declares a build time dependency on cmake which cannot be satisfied on armel. Package cppcheck does not exist on armel.
Package declares a build time dependency on cmake which cannot be satisfied on ppc64el.
Package declares a build time dependency on cmake which cannot be satisfied on armhf. Package cppcheck does not exist on armhf.
Package declares a build time dependency on cmake which cannot be satisfied on mips64el.
Package declares a build time dependency on cmake which cannot be satisfied on mipsel. Package cppcheck does not exist on mipsel.
Package declares a build time dependency on cmake which cannot be satisfied on i386. Package cppcheck does not exist on i386.
Package declares a build time dependency on cmake which cannot be satisfied on s390x.

Binary Package: cppcheck-gui (Version: 2.4-1)

BTS entry: https://bugs.debian.org/cppcheck-gui

Relationships

Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on mips64el.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on arm64.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on amd64.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on s390x.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on arm64.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on amd64.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on s390x.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2) which cannot be satisfied on mips64el.
Package has a Depends on libqt5help5 (>= 5.6.0~beta) which cannot be satisfied on amd64.
Package has a Depends on libqt5help5 (>= 5.6.0~beta) which cannot be satisfied on arm64.
Package has a Depends on libqt5help5 (>= 5.6.0~beta) which cannot be satisfied on s390x.
Package has a Depends on libqt5help5 (>= 5.6.0~beta) which cannot be satisfied on mips64el.
Package has a Depends on libqt5help5 (>= 5.6.0~beta) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5widgets5 (>= 5.15.1) which cannot be satisfied on mips64el.
Package has a Depends on libqt5widgets5 (>= 5.15.1) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5widgets5 (>= 5.15.1) which cannot be satisfied on amd64.
Package has a Depends on libqt5widgets5 (>= 5.15.1) which cannot be satisfied on arm64.
Package has a Depends on libqt5widgets5 (>= 5.15.1) which cannot be satisfied on s390x.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on amd64.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on arm64.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on s390x.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on mips64el.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5charts5 (>= 5.7.1) which cannot be satisfied on s390x.
Package has a Depends on libqt5charts5 (>= 5.7.1) which cannot be satisfied on arm64.
Package has a Depends on libqt5charts5 (>= 5.7.1) which cannot be satisfied on amd64.
Package has a Depends on libqt5charts5 (>= 5.7.1) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5charts5 (>= 5.7.1) which cannot be satisfied on mips64el.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on s390x.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on arm64.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on amd64.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on ppc64el.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on mips64el.
Package has a Depends on libqt5printsupport5 (>= 5.0.2) which cannot be satisfied on mips64el.
Package has a Depends on libqt5printsupport5 (>= 5.0.2) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5printsupport5 (>= 5.0.2) which cannot be satisfied on s390x.
Package has a Depends on libqt5printsupport5 (>= 5.0.2) which cannot be satisfied on amd64.
Package has a Depends on libqt5printsupport5 (>= 5.0.2) which cannot be satisfied on arm64.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on ppc64el.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on mips64el.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on s390x.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on arm64.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on amd64.
Package has a Depends on libpcre3 which cannot be satisfied on s390x.
Package has a Depends on libpcre3 which cannot be satisfied on arm64.
Package has a Depends on libpcre3 which cannot be satisfied on amd64.
Package has a Depends on libpcre3 which cannot be satisfied on ppc64el.
Package has a Depends on libpcre3 which cannot be satisfied on mips64el.
Package has a Depends on libqt5core5a (>= 5.15.1) which cannot be satisfied on s390x.
Package has a Depends on libqt5core5a (>= 5.15.1) which cannot be satisfied on arm64.
Package has a Depends on libqt5core5a (>= 5.15.1) which cannot be satisfied on amd64.
Package has a Depends on libqt5core5a (>= 5.15.1) which cannot be satisfied on ppc64el.
Package has a Depends on libqt5core5a (>= 5.15.1) which cannot be satisfied on mips64el.

Binary Package: cppcheck (Version: 2.4-1)

BTS entry: https://bugs.debian.org/cppcheck

Relationships

Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on mips64el.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on ppc64el.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on s390x.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on amd64.
Package has a Depends on libc6 (>= 2.29) which cannot be satisfied on arm64.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on s390x.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on amd64.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on arm64.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on mips64el.
Package has a Depends on libz3-4 (>= 4.8.10) which cannot be satisfied on ppc64el.
Package has a Depends on libpcre3 which cannot be satisfied on mips64el.
Package has a Depends on libpcre3 which cannot be satisfied on ppc64el.
Package has a Depends on libpcre3 which cannot be satisfied on amd64.
Package has a Depends on libpcre3 which cannot be satisfied on arm64.
Package has a Depends on libpcre3 which cannot be satisfied on s390x.
Package has a Depends on python3-pygments which cannot be satisfied on ppc64el.
Package has a Depends on python3-pygments which cannot be satisfied on mips64el.
Package has a Depends on python3-pygments which cannot be satisfied on arm64.
Package has a Depends on python3-pygments which cannot be satisfied on amd64.
Package has a Depends on python3-pygments which cannot be satisfied on s390x.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on arm64.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on amd64.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on s390x.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on ppc64el.
Package has a Depends on libtinyxml2-8 (>= 8.0.0) which cannot be satisfied on mips64el.


Last updated: Wed Jun 23 15:25:01 2021

DO NOT MASS FILE BUG REPORTS
GET A CONSENSUS ON debian-devel@lists.debian.org BEFORE MASS FILING BUGS